using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SC.PR
{
    [Description("事项参数配置表")]
    public class T_PR_POST_FORM_LINK_XK_PARAM : MesEntityBase
    {
        [Description("岗位表单关联配置表")]
        [DataFieldForeignKey("Nav_PostForm", "Nav_Params")]
        public Guid POST_POST_ID { get; set; }

        [Description("岗位表单关联表")]
        public virtual T_PR_POST_FORM_LINK_XK Nav_PostForm { get; set; }

        [Description("顺序")]
        public int? NUM { get; set; }
        [Description("事项")]
        public string NAME { get; set; }

        [Description("参数")]
        public string PARAM { get; set; }

        [Description("单位")]
        public string UNIT { get; set; }
    }
}
